
From: Jesper Juhl <juhl-lkml@dif.dk>

To silence the warning in $subject, rename log2 to cycx_log2 in this file
to remove the clash, so there's no doubt that this file uses it's own
defined log2 function.

Signed-off-by: Jesper Juhl <juhl-lkml@dif.dk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/wan/cycx_x25.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/net/wan/cycx_x25.c~drivers-net-wan-cycx_x25c189-warning-conflicting-types drivers/net/wan/cycx_x25.c
--- 25/drivers/net/wan/cycx_x25.c~drivers-net-wan-cycx_x25c189-warning-conflicting-types	2004-07-31 17:36:53.335550400 -0700
+++ 25-akpm/drivers/net/wan/cycx_x25.c	2004-07-31 17:37:27.974284512 -0700
@@ -186,7 +186,7 @@ static void nibble_to_byte(u8 *s, u8 *d,
 	    reset_timer(struct net_device *dev);
 
 static u8 bps_to_speed_code(u32 bps);
-static u8 log2(u32 n);
+static u8 cycx_log2(u32 n);
 
 static unsigned dec_to_uint(u8 *str, int len);
 
@@ -263,7 +263,7 @@ int cycx_x25_wan_init(struct cycx_device
 	else
 		card->wandev.mtu = 64;
 
-	cfg.pktlen = log2(card->wandev.mtu);
+	cfg.pktlen = cycx_log2(card->wandev.mtu);
 
 	if (conf->station == WANOPT_DTE) {
 		cfg.locaddr = 3; /* DTE */
@@ -1513,7 +1513,7 @@ static u8 bps_to_speed_code(u32 bps)
 }
 
 /* log base 2 */
-static u8 log2(u32 n)
+static u8 cycx_log2(u32 n)
 {
 	u8 log = 0;
 
_
